TLS version results in security message from Mozilla Firefox

DOWNLOAD THE LATEST FIRMWARE HERE
User avatar
bearm
Member
 
Posts: 13
Joined: Thu Dec 24, 2015 5:21 pm
Location: Mechanicsburg, PA
Has thanked: 11 times
Been thanked: 1 time

TLS version results in security message from Mozilla Firefox

Sun May 02, 2021 12:11 pm

Hello,

I have a Wisp Switch WS-8-150-AC that was running 1.5.6
After updating my install of Mozilla Firefox to version 88.0, I get an error message regarding the "secure connection failed", "Error code: SSL_ERROR_UNSUPPORTED_VERSION". I also have Google Chrome installed so I utilized that to get in, but there's still a message that the protocol will we be disabled in the future.

For security reasons Mozilla has set the minimum TLS version at 1.2
https://support.mozilla.org/en-US/kb/se ... ite-issues

I have upgraded to 1.5.8 and 1.5.9rc1 only to still receive the same "secure connection failed" error message.

Is it possible WISP switch's web server is not configured to operate at TLS 1.2?

Thank you for the help!

User avatar
mike99
Associate
Associate
 
Posts: 802
Joined: Tue Nov 25, 2014 10:53 am
Location: Quebec, Canada
Has thanked: 95 times
Been thanked: 241 times

Re: TLS version results in security message from Mozilla Fir

Mon May 03, 2021 9:47 am

It's a know problem that will be fix in upcoming release.
viewtopic.php?f=17&t=6978&hilit=tls

User avatar
bearm
Member
 
Posts: 13
Joined: Thu Dec 24, 2015 5:21 pm
Location: Mechanicsburg, PA
Has thanked: 11 times
Been thanked: 1 time

Re: TLS version results in security message from Mozilla Fir

Mon May 03, 2021 8:41 pm

mike99 wrote:It's a know problem that will be fix in upcoming release.
viewtopic.php?f=17&t=6978&hilit=tls


Ah rats, I missed david.sovereen's comment when I downloaded 1.5.9rc1 :yikes:

Thank you mike99

Return to Hardware and software issues

Who is online

Users browsing this forum: No registered users and 6 guests